<template>
  <q-form @submit="doLogin(form)">
    <div class="q-py-xs">
      <label class="text-caption text-weight-bold text-grey-7"
        >EMAIL ADDRESS</label
      >
      <q-input
        dense
        outlined
        color="primary"
        v-model="form.email"
        class="q-mt-sm"
        :rules="[validations.requiredField, validations.emailFormat]"
      />
    </div>
    <div class="q-py-xs">
      <label class="text-caption text-weight-bold text-grey-7">PASSWORD</label>
      <q-input
        dense
        outlined
        color="primary"
        v-model="form.password"
        :type="isFieldPassword ? 'password' : 'text'"
        class="q-mt-sm"
        :rules="[validations.requiredField]"
      >
        <template v-slot:append>
          <q-icon
            :name="isFieldPassword ? 'eva-eye-off-outline' : 'eva-eye-outline'"
            @click="isFieldPassword = !isFieldPassword"
          />
        </template>
      </q-input>
    </div>

    <!-- <div class="flex justify-center">
      <q-checkbox
        v-model="isKeepLoggedIn"
        class="text__regular"
        label="Keep me logged in"
      />
    </div> -->

    <div class="flex justify-center q-mt-sm q-pb-lg">
      <q-btn
        unelevated
        no-caps
        label="Log In"
        type="submit"
        class="btn-xl btn--shade-1 title-4 text-white rounded-borders-10"
        :loading="loading"
      />
    </div>

    <div class="flex justify-center q-mt-xl">
      <a
        class="text__tertiary title-4 cursor-pointer"
        @click="$router.push('forgot-password')"
        >Forgot your password?</a
      >
    </div>
  </q-form>
</template>

<script>
import { requiredField, emailFormat } from "src/hooks/validations";
import { defineComponent, ref, reactive } from "vue";
import useAuthHook from "../../hooks/authHook";

export default defineComponent({
  name: "LoginForm",
  setup() {
    const { loading, doLogin } = useAuthHook();
    const form = reactive({
      email: null,
      password: null,
    });
    const isFieldPassword = ref(true);
    // const isKeepLoggedIn = ref(false);

    return {
      form,
      isFieldPassword,
      // isKeepLoggedIn,
      loading,
      doLogin,
      validations: {
        requiredField,
        emailFormat,
      },
    };
  },
});
</script>
